org.eclipse.rap.rwt.service

## Interface ResourceLoader

    public interface ResourceLoader

A resource loader is used to load the contents of a named resource.

Since:
  2.0

### Method Summary

Methods
`java.io.InputStream` `getResourceAsStream(java.lang.String resourceName)` Returns an input stream to the resource contents.

### Method Detail

#### getResourceAsStream

    java.io.InputStream getResourceAsStream(java.lang.String resourceName)
                                            throws java.io.IOException

Returns an input stream to the resource contents.

Parameters:
  `a` - name to identify the resource
Returns:
  an input stream or `null` if the resource could not be found
Throws:
  `java.io.IOException`

Copyright (c) EclipseSource and others 2002, 2017. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0